This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 185377 - pwc Failed to power up the camera! (-32)
pwc Failed to power up the camera! (-32)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 22:01 EST by David Reed
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.18-1.2868.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 13:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Reed 2006-03-13 22:01:29 EST
Description of problem:


2.6.15-1.2041_FC5 kernel-module pwc :


How reproducible:
connect Logitech webcam

Steps to Reproduce:
1. connect Logitech Quickcam Notebook Pro
2. use v4l tool such as gnomemeeting
3.
  
Actual results:
usb 1-1: new full speed USB device using ohci_hcd and address 2
usb 1-1: configuration #1 chosen from 1 choice
Linux video capture interface: v1.00
pwc Philips webcam module version 9.0.2-unofficial loaded.
pwc Supports Philips PCA645/646, PCVC675/680/690, PCVC720[40]/730/740/750 &
PCVC830/840.
pwc Also supports the Askey VC010, various Logitech Quickcams, Samsung MPC-C10
and MPC-C30,
pwc the Creative WebCam 5 & Pro Ex, SOTEC Afina Eye and Visionite VCS-UC300 and
VCS-UM100.
pwc Logitech QuickCam Notebook Pro USB webcam detected.
pwc Registered as /dev/video0.
pwc Failed to power up the camera! (-32)
usbcore: registered new driver Philips webcam
usbcore: registered new driver snd-usb-audio

then v4l tools don't get video, but audio works. gnomemeeting crashes, for example.

Expected results:
same as above, but without message "Failed to power up the camera!"
and v4l tools get video.

Additional info:
Using the pwc 10.0.11-unofficial driver built from source at
http://www.saillard.org/linux/pwc/ works well.
Comment 1 Hugh Caley 2006-03-30 18:00:08 EST
I'm having a problem with pwc in FC5 as well.  Cam is a Logitech Quickcam Zoom.
 'modprobe pwc' gets me:

FATAL: Error inserting pwc
(/lib/modules/2.6.15-1.2054_FC5/kernel/drivers/usb/media/pwc/pwc.ko): Unknown
symbol in module, or unknown parameter (see dmesg)

dmesg isn't very helpful:

pwc: Unknown parameter `index'

Needless to say, the camera isn't available for videoconf on the machine.
Comment 2 Ihab 2006-04-09 03:23:47 EDT
Same problem here, not the one Hugh is experiencing but the one posted as error:
Using /lib/modules/2.6.16-1.2080_FC5/kernel/drivers/usb/media/pwc
Soon as I plug my Logitech NoteBook Pro Cam I get the following errors in dmesg:

usb 3-2: new full speed USB device using uhci_hcd and address 4
usb 3-2: configuration #1 chosen from 1 choice
pwc Logitech QuickCam Notebook Pro USB webcam detected.
pwc Registered as /dev/video0.
pwc Failed to power up the camera! (-32) <<< ERROR

Using ekiga, I don't get any errors but instead of getting any video output I
just see a plain grey screen. I'm assuming the built-in microphone works because
alsa didnt report any problems. 

Here is some more info from dmesg upon running ekiga:
pwc Failed to set LED on/off time.
pwc type = 740
pwc type = 740
pwc set_video_mode(176x144 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc type = 740
pwc type = 740
pwc set_video_mode(160x120 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.

Here's an alsa info message from dmesg:
ALSA /home/recon/alsa-driver-1.0.11rc4/pci/hda/hda_codec.c:623:
hda_codec_setup_stream: NID=0x2, stream=0x0, channel=0, format=0x0

Hope this information will be helpful.
Comment 3 Laurent Jacquot 2006-05-02 15:03:07 EDT
I have the same problem with a FC5 2096 and 2080 kernel. The webcam is 
Philips PCVC730K (ToUCam Fun)/PCVC830 (ToUCam II) USB webcam detected

Disabling all ehci devices and/or the ehci driver doesn't cure the problem.
Isolating the cam on a dedicated bus doesn't help too.

it works with the pwc 10.0.11-unofficial driver.

I can provide test or info upon request.
Comment 4 Kevin R. Page 2006-05-09 10:19:43 EDT
Looks like a dup of #159608 to me.
Comment 5 David Reed 2006-05-09 14:05:11 EDT
not a dup.   looking at 159608 - the current problem 159608 talks about is that
the 10.0.11 driver doesn't work on some machines, either, under FC5.

This problem is that 9.0.2 (shipping in FC5) doesn't work at ALL, and shouldn't
be shipping if it isn't supported by Fedora in some way.  Perhaps the simplest
solution (if 10.0.11 isn't "free" enough) would be to pull 9.0.2 entirely - then
it could be supported via Livna or someone else like that who runs yum repos.
Comment 6 Sergio Ruocco 2006-09-04 03:07:23 EDT
Hi,

I fully support comment #5 from David Reed. PWC 0.9.x is *obsolete* and should
be removed.

I just spent the w/e trying to get my Logitech 4000 Pro USB to work with the
latest FC5 (August respin with updates). It simply shows a GREY SQUARE instead o

Only when I *manually* removed all instances of pcw 0.9.x and install the latest
snapshot ('pwc-v4l2-20060904-042701.tar.bz2') from http://www.saillard.org/l

I sent this note to a number of Fedora FAQs out there:


===========================================================

Webcams on Fedora Core [4,5]
----------------------------

Many popular webcams, including many Philips and Logitech models, are supported
in Linux via the PWC driver developed by Luc Saillard
[http://www.saillard.org/linux/pwc/]. A wiki
[http://www.lavrsen.dk/twiki/bin/view/PWC/WebHome] provides additional
information about PWC, including a long list of supported webcams
[http://www.lavrsen.dk/twiki/bin/view/PWC/WorkingWebcamsWithPWC].

However even the most recent Fedora Core 5 ships with an old version of the
'pwc' driver (9.0.2-unofficial) that does not work, for example, with Logitech
4000 Pro USB Webcams.

You can test the pwc driver version inserting you webcam in a USB port and
checking the 'dmsg' output:

$ dmesg
......
pwc Philips webcam module version 9.0.2-unofficial loaded.
......

To fix this problem you need to

1) download the latest version of pwc from the official website
[http://www.saillard.org/linux/pwc/]

2) locate and *remove* the obsolete copies of the pwc driver from your current
installation as indicated here [http://www.saillard.org/linux/pwc/INSTALL.en]

$ find /lib/modules/`uname -r`/ -name "pwc*.ko*"
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/usb/media/pwc.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/media/video/pwc/pwc.ko

$ rm /lib/modules/2.6.17-1.2174_FC5/kernel/drivers/usb/media/pwc.ko
$ rm /lib/modules/2.6.17-1.2174_FC5/kernel/drivers/media/video/pwc/pwc.ko

3) compile and install the new module, as indicated here
[http://www.saillard.org/linux/pwc/INSTALL.en]
NOTE: At least on FC5, simple installation done via 'make install' will *NOT*
replace the old module

4) you can test with mplayer:

mplayer tv:// -tv driver=v4l:device=/dev/video0:width=640:height=480:noaudio -x
800 -y 600 -vf-add pp=hb:a/vb:a,hqdn3d,mirror

===========================================================
Comment 7 Pete Zaitcev 2006-09-12 12:55:48 EDT
I'm taking this bug as a regression in 10.0.12 against 10.0.11
Hugh has to file a new bug or clone this one (carefuly, with one comment
included).
Comment 8 Dave Jones 2006-10-16 14:40:34 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Joe Acosta 2007-01-04 00:05:37 EST
I've tested this on my system, which I just upgraded from FC4 to FC6.  The
upgrade was a little rocy, as some programs did not get upgraded or installed
and yum had issues.  

Long story short 2.6.18-1.2869.fc6 and 2.6.18-1.2868.fc6 seem to work fine.  I
get video in both of these.

I'm not sure what the status of this should be now, so I'm leaving as is.
Comment 11 Pete Zaitcev 2007-01-04 01:14:48 EST
I need a confirmation from David before this can be closed.
Comment 12 David Reed 2007-01-04 11:09:36 EST
(In reply to comment #11)
> I need a confirmation from David before this can be closed.
> 

It does now work on FC6. Close away.

Note You need to log in before you can comment on or make changes to this bug.